Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.WindowModality

    java.lang.Object
      java.lang.Enum<Qt.WindowModality>
          com.trolltech.qt.core.Qt.WindowModality

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.WindowModality>

Enclosing interface:
  Qt

    public static enum Qt.WindowModality

extends java.lang.Enum<Qt.WindowModality>
implements QtEnumerator

This enum specifies the behavior of a modal window. A modal window is one that blocks input to other windows. Note that windows that are children of a modal window are not blocked.

The values are:

Constant | Value | Description
--- | --- | ---
`NonModal` | `0` | The window is not modal and does not block input to other windows.
`WindowModal` | `1` | The window is modal to a single window hierarchy and blocks input to its parent window, all grandparent windows, and all siblings of its parent and grandparent windows.
`ApplicationModal` | `2` | The window is modal to the application and blocks input to all windows.

See Also:
  `QWidget::windowModality`, `QDialog`

Enum Constant Summary
`ApplicationModal` The window is modal to the application and blocks input to all windows.
`NonModal` The window is not modal and does not block input to other windows.
`WindowModal` The window is modal to a single window hierarchy and blocks input to its parent window, all grandparent windows, and all siblings of its parent and grandparent windows.

Method Summary
`static Qt.WindowModality` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.WindowModality` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.WindowModality[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NonModal

    public static final Qt.WindowModality NonModal

  The window is not modal and does not block input to other windows.

### WindowModal

    public static final Qt.WindowModality WindowModal

  The window is modal to a single window hierarchy and blocks input to its parent window, all grandparent windows, and all siblings of its parent and grandparent windows.

### ApplicationModal

    public static final Qt.WindowModality ApplicationModal

  The window is modal to the application and blocks input to all windows.

Method Detail

### values

    public static final Qt.WindowModality[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.WindowModality c : Qt.WindowModality.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.WindowModality valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.WindowModality resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD